1.10.1: 2026-06-22
- Fixes: Fixed ingredients and instructions appearing blank in the block editor — both newly bulk-added items and content saved before v1.10.0 (stored in a legacy array format) now render correctly without needing to be re-entered.
- Fixes: Restored the "Best Season" detail in the standalone Details block, which stopped rendering in v1.10.0.
- Fixes: Adjusted padding and margin for the ingredients and instructions sections on single recipe pages.

1.10.0: 2026-05-28
- Enhancement: Declared compatibility with WordPress 7.0 and updated minimum WordPress requirement to 5.8.
- Enhancement: Added automatic Recipe JSON-LD schema output for pages using standalone Ingredients or Instructions blocks without a Recipe Card block.
- Fixes: Resolved React 19 compatibility issue in the block editor components.
- Fixes: Resolved JavaScript errors in the block editor caused by deprecated WordPress APIs removed in WordPress 5.8.
- Fixes: Fixed ingredient link keyword matching to use word-boundary regex, preventing partial-word matches and preserving original casing in links.
- Fixes: Fixed nutrition block HTML structure — corrected misplaced closing tags, changed sub-nutrient markup to use semantic dt/dd elements, and replaced invalid section tags with div.

1.9.10: 2026-05-11
- Fixes: Fixed 500 error when importing recipes with a feature image via the REST API by ensuring download_url() is loaded outside admin context.

1.9.9: 2026-04-23
- Fixes: Fixed button color compatibility issue with WordPress 7.0 by adding CSS specificity overrides for .dr-btn styles.

1.9.8: 2026-04-16
- Fixes: Fixed fatal TypeError on recipe pages when using Divi 5 theme caused by an empty string being passed as the plural count to the _nx() translation function.
- Fixes: Fixed featured image preload logic to correctly respect the enablePreloadFeaturedImage setting and only run on singular recipe pages.
- Fixes: Fixed button color compatibility issue with WordPress 7.0 by adding CSS specificity overrides for .dr-btn styles.

1.9.7: 2026-03-09
- Fixes: Patch release to deliver recipe badge style fix.

1.9.6: 2026-03-09
- Fixes: Restricted REST API resource access to users with the upload_files capability to prevent unauthorized data exposure.
- Fixes: Added file ID validation, attachment type verification, and MIME type enforcement in the CSV import endpoint to prevent arbitrary file access.
- Fixes: Moved recipe badge styles to global SCSS file.

1.9.5: 2026-02-02
- Enhancement: Updated demo URLs to new domain (wpdeliciousdemo.com).
- Fixes: Fixed React key prop warning in nutrition fields component.

1.9.4: 2025-12-30
- Fixes: Improved bulk ingredient parsing with better edge case handling.
- Fixes: Consolidated wp_localize_script calls for better script dependency management.
- Fixes: Enhanced ingredient line parsing in the text input functionality.
- Fixes: Renamed social sharing settings ID for consistency.
- Fixes: Loaded text domain earlier to prevent translation warnings.

1.9.3: 2025-12-05
- Fixes: Fixed compatibility issue with WordPress 6.9.
- Fixes: Fixed categories image and icon width issue.
- Fixes: Fixed recipe keys overflow when too many items in archives pages.
- Fixes: Fixed WP Delicious CSS conflict with WordPress radio button design.
- Fixes: Prevented recursive dynamic block rendering by introducing a static rendering flag and conditional `the_content` filter management.

1.9.2: 2025-11-24
- Fixes: Fixed login modal issue on archive pages.
- Fixes: Fixed custom color picker issue on the Global Settings page.

1.9.1: 2025-10-31
- Fixes: Resolved an authenticated arbitrary file upload vulnerability in the CSV import endpoint by restricting access to users with the upload_files capability and validating remote files through WordPress media APIs.

1.9.0: 2025-10-29
- Fixes: Resolved rating schema issue on the single recipe page affecting Rich Results Test validation.

1.8.9: 2025-10-28
- Enhancement: Improved author image handling in Global Settings.
- Fixes: Fixed video thumbnail issue on the Single Recipe Page.
- Fixes: Updated text domain and removed unwanted CSS.
- Fixes: Restored missing review section from the single recipe page schema.
- Fixes: Resolved issue preventing Delicious Recipes REST API from working with Solid Central plugin.
- Fixes: Replaced default serach form with custom search form on the Search Page for recipe filtering.
- Fixes: Resolved CSS conflict with Formidable plugin.
- Fixes: Fixed API request and Basic Auth conflict with Formidable plugin.

1.8.8: 2025-09-01
- New Feature: Added an option to disable session cookie for improved cache compatibility with CDNs such as Cloudflare.
- Fixes: Sanitized and updated recipe blocks to prevent XSS vulnerabilities.
- Fixes: Improved decimal-to-fraction conversion logic for ingredient quantities.
- Fixes: Updated recipe card block to use attributes for settings.
- Fixes: Corrected cook time decimal-to-hours conversion.
- Fixes: Adjusted recipe print page logo sizing.
- Fixes: Updated nutrition display logic to include zero values.

1.8.7: 2025-08-04
- Fixes: Fixed design issues related to the [dr_recipe_archives] shortcode.
- Fixes: Resolved CSS loading problems in the Handpicked Recipe block.
- Fixes: Fixed an issue where disabled default print options were still appearing as enabled on the Print Page.
- Fixes: Addressed a mismatch in ingredient quantities when printing recipes with scale-based increment enabled.
- Fixes: Corrected grid view design inconsistencies in Recipe blocks.
- Fixes: Fixed translation issues affecting the default print options on the Print Page.

1.8.6: 2025-07-03
- Fixes: Resolved an issue in the Print Page where number of servings did not adjust according to the ingredient quantity.
- Fixes: Fixed design inconsistencies in the Related Recipes section on the Single Recipe Page.
- Fixes: Corrected list element styling issues on the Single Recipe Page.
- Fixes: Addressed responsive design issues in the Recipe Summary section of the Single Recipe Page.

1.8.5: 2025-07-01
- Enhancement: Introduced an option to disable the WP Delicious logo on the Print Page.
- Fixes: Optimized scripts and styles for improved performance.
- Fixes: Resolved various design and functional issues on the Print Page.
- Fixes: Addressed XSS vulnerability as reported by the PatchStack.
- Fixes: Fixed spacing inconsistencies in sidebar widgets.
- Fixes: Corrected heading tag structure on the Single Recipe Page for better SEO.
- Fixes: Fixed issues with search filters and search functionality on the Search Page.
- Fixes: Improved grid layout in the recipe list for enhanced responsiveness.
- Fixes: Updated pagination styling for better visual clarity and consistency.

1.8.4: 2025-05-19
- Fixes: Resolved REST API and session-related issues flagged by the WordPress Site Health Check tool, which were impacting plugin functionality.
- Fixes: Fixed a compatibility issue with Elementor on the recipe search page caused by caching.
- Fixes: Addressed an issue where translating the default “Best Seasons” values into other languages disrupted the filter functionality on the recipe search page.
- Fixes: Replaced the "Surprise Me" Font Awesome icon with an SVG to ensure it displays correctly when Font Awesome is disabled via Performance Settings.

1.8.3: 2025-04-22
- Updated compatibility for WP version 6.8.
- Fixes: Fixed an issue where the estimated cost currency symbol on the Print Page was not synced with the global settings.
- Fixes: Resolved a bug where parent nutrition facts were incorrectly showing empty child nutrition facts.

1.8.2: 2025-04-09
- Fixes: Addressed a compatibility issue with the Yummy-Bites theme.

1.8.1: 2025-04-08
- Enhancement: Improved compatibility with SEO plugins to address word count issues.
- Enhancement: Removed jQuery dependencies to enhance performance and modernize the codebase.
- Enhancement: Optimized asset loading by eliminating unnecessary CSS/JS from non-recipe pages.
- Fixes: Fixed the Ingredients Bulk Upload issue where the first ingredient was incorrectly set as the section title.
- Fixes: Resolved console errors and warnings related to HTML compliance.
- Fixes: Fixed the issue of images on the Print Page being lazy loaded.
- Fixes: Addressed a fatal error on the recipe Print Page when using the Dynamic Recipe Card.
- Fixes: Fixed a bug in the single recipe bulk image upload feature where the second image failed to upload.

1.8.0: 2025-03-10
- Enhancement: Improved the design of Recipe Print Page.
- Enhancement: Added option to remove recipes from the Favorites tab in User Dashboard.
- Fixes: Resolved fatal error issue with Dynamic Recipe Card block.
- Fixes: Addressed design issues on Single Recipe Page and template pages when using GeneratePress theme.
- Fixes: Improved overall recipe card design.

1.7.9: 2025-02-18
- Fixes: Resolved design issues in Handpicked Recipes and Recipe by Taxonomy blocks.
- Fixes: Updated Recipe Card block design and improved search functionality.
- Fixes: Improved design and functionality across multiple recipe-related blocks, including Dynamic Recipe Card, Recipe Nutrition, Recipe Details, Recipe Ingredients, and Recipe Instructions blocks.
- Fixes: Fixed double slash issue in URLs affecting changes to WP Delicious settings from being saved.
- Fixes: Addressed image size issue in the Review section.
- Fixes: Resolved issue with two-column ingredient display on Single Recipe Page.
- Fixes: Removed 'Save Changes' button and integrated WordPress's default post save button.
- Fixes: Resolved compatibility issue with Divi Visual Builder.
- Fixes: Fixed Print Page settings issue affecting the print options function.

1.7.8: 2025-01-27
- New Feature: Added feature to import recipes from CSV file.
- New Feature: Added feature to import recipes from Tasty Recipe Plugin
- Fixes: Resolved fatal error caused by plugin conflict with the SureDash plugin.
- Fixes: Disabled Pro features in the recipe editor when WP Delicious Pro license is inactive.
- Fixes: Added missing H3 tag for Nutrition Facts section title.
- Fixes: Resolved issue with the recipe card block not being saved.
- Fixes: Fixed Pinterest URL issue.
- Fixes: Addressed lazy loading conflict with theme's lazy loading feature.
- Fixes: Resolved issue where profile images updated via the WP Delicious dashboard were not reflected site-wide.
- Fixes: Fixed PHP deprecated warning.
- Fixes: Corrected the issue where the gluten-free icon for taxonomies reverted to old icon after saving.
- Fixes: Resolved undefined variable $hours_left issue.

1.7.7: 2025-01-06
- Enhancement: Design improvements of License Activation page.
- Fixes: Resolved issue with Recipe Import feature when using the Cooked plugin.
- Fixes: Addressed issue where a warning about Recipe Settings changes appeared without any actual changes.
- Fixes: Fixed issue with Estimated Cost field not accepting comma(,) as input.
- Fixes: Resolved CPU Limit exceeded error.
- Fixes: Addressed issue where the Recipe post editor did not support Custom Fields.
- Fixes: Corrected issue with Recipe Keys images not displaying properly when using custom icons.

1.7.6: 2024-12-04
- Enhancement: Improved the design of Nutrition Facts panel.
- Enhancement: Made minor design adjustments on the Single Recipe Page.
- Fixes: Resolved `_load_textdomain_just_in_time` warning.
- Fixes: Addressed issue with recipe reviews displaying even when the comment form is disabled.
- Fixes: Corrected sticky behavior of the nutrition facts panel on the Single Recipe Page.
- Fixes: Fixed CSS conflict in the theme license activation field.
- Fixes: Removed PHP deprecation warning.
- Fixes: Resolved issue with the Social Share section in responsive view on the Single Recipe Page.
- Fixes: Fixed issue with empty taxonomy icon.
- Fixes: Addressed display issue in the Q&A section where replies were not being displayed accurately.
- Fixes: Fixed issue with the Print Page where Print Options toggles weren't working as expected when Print Options label were translated.

1.7.5: 2024-11-13
- Fixes: Resolved a fatal error triggered by license mandatory check conditions.
- Fixes: Fixed an undefined variable issue in the "Recipe by Taxonomy" block.

1.7.4: 2024-11-12
- Added compatibility with WordPress WP 6.7.
- New Feature: Introduced a feature to globally set the default currency for estimated costs.
- Enhancement: Updated SDK version to ensure compliance with WordPress.org guidelines.
- Enhancement: Optimized image cropping by removing unnecessary image crop sizes.
- Enhancement: Moved the "scroll to comment" feature from the Pro version to the free version.
- Fixes: Fixed the issue where social media links on the Print Page were displayed inline instead of as a list.
- Fixes: Resolved an "Undefined variable $recipeType" error.
- Fixes: Fixed pagination spacing issues on the index page for improved visual consistency.
- Fixes: Addressed a JavaScript issue occurring when the "Enable Rating" setting was disabled.
- Fixes: Corrected the "Delicious: Recipe Categories" widget’s "Show as dropdown" option functionality.
- Fixes: Improved mobile responsiveness for carousels on template and single recipe pages.
- Fixes: Ensured that the primary and secondary colors set in the plugin are consistently applied across all relevant pages.
- Fixes: Resolved issues with the 'infinite' pagination option on recipe archive pages.
- Fixes: Enhanced theme compatibility to resolve design issues on the recipe index, template pages, and single recipe pages.
- Fixes: Fixed responsiveness issues with Elementor templates and addressed design problems when "Enable Elementor Support" was activated.

1.7.3: 2024-10-07
- Enhancement: Updated the logo in the plugin's onboarding wizard.
- Enhancement: Enhanced the search page Season filter to display default and custom seasons.
- Enhancement: Added a new field Recipe Keywords in Import Recipes feature.
- Fixes: Fixed the issue where gallery images on the Single Recipe page started from the last image.
- Fixes: Resolved CSS issues causing List format to not display in BlockEditor component in backend.
- Fixes: Fixed appearance-related CSS issues in the onboarding wizard.
- Fixes: Resolved an issue where the recipe card block was missing schema data.
- Fixes: Fixed the Simple Factor filters not functioning on the search page.
- Fixes: Corrected alignment issues with the rating label text on the single recipe page.
- Fixes: Fixed an issue where the Print page was not displaying content according to the settings.
- Fixes: Addressed the issue where numerous cropped images were being generated unnecessarily.

1.7.2: 2024-09-23
- New Feature: Introduced a feature to preload the featured image on single recipe pages for improved loading speed.
- Enhancement: Added support for Delisho plugin.
- Fixes: Resolved design issues with Layout 2 of the nutritional information section.
- Fixes: Fixed design problems in the WP Delicious Sidebar Widgets.
- Fixes: Updated the changelog display, now linking to a dedicated page instead of displaying directly on WP.org.
- Fixes: Moved the "Reset filter" field to the end of the search page for better UX.
- Fixes: Fixed an issue with the recipe import feature.

1.7.1: 2024-09-12
- Enhancement: Updated the design of the review form for improved appearance on default themes.
- Fixes: Resolved the issue where the featured image was not displaying.
- Fixes: Fixed the issue requiring users to rate before replying to reviews.

1.7.0: 2024-09-10
- New Feature: Introduced Lazy Load functionality to improve efficiency.
- Enhancement: Implemented performance optimizations for single recipe page.
- Enhancement: Replaced OwlCarousel library with Splide JS for improved carousel performance.
- Enhancement: Substituted the LightGallery and Magnific Popup libraries with fsLightbox for a more streamlined lightbox experience.
- Enhancement: Replaced the rateYo rating library with custom vanilla JavaScript solution.
- Enhancement: Reorganized the Global Settings menu panel for better usability.
- Enhancement: Added a search functionality to Global Settings for easier navigation.
- Enhancement: Introduced a filter feature in the backend to sort recipes by taxonomy.
- Enhancement: Integrated the Block Editor into the  Recipe Description and Recipe Notes section, replacing tinymce RichEditor.
- Fixes: Corrected capitalization issues in ingredient suggestions.
- Fixes: Fixed sidebar misalignment on the single recipe page.
- Fixes: Resolved various translation issue.
- Fixes: Updated the 'Gluten Free' taxonomy icon and fixed search functionality for taxonomy.

1.6.9: 2024-08-16
- Fixes: Fixed issue of Nutrition Table showing without nutrition information.
- Fixes: Fixed Dynamic Recipe Card block issue.
- Fixes: Resolved Account Creation and Password Reset email template issue.

1.6.8: 2024-08-14
- Enhancement: Added option to import recipes from the WP Recipe Maker plugin.
- Enhancement: Added option to show serving size in nutrition.
- Enhancement: Added Classic Editor support notice to admin.
- Fixes: Resolved single recipe editor-page gallery sortable feature.
- Fixes: Resolved instruction counter issue.
- Fixes: Addressed email template escaping problem.
- Fixes: Fixed plural unit not appearing in schema issue.
- Fixes: Fixed reported plugin vulnerability.
- Fixes: Fixed issue related to single recipe page comment reply.
- Fixes: Resolved issue regarding search filter in FSE theme.

1.6.7: 2024-07-28
- Fixes: Resolved JS issue due to FSE theme compatibility update.

1.6.6: 2024-07-23
- Fixes: Resolved conflict with Elementor template compatibility.

1.6.5: 2024-07-18
- Compatibility Update for WP 6.6
- New Feature: Introduced an option to import recipes from the Cooked plugin.
- New Feature: Added an ingredients column feature.
- New Feature: Implemented reCAPTCHA verification for comments on single recipe page.
- Enhancement: Added a new filter option for related recipes.
- Enhancement: Improved compatibility with Full Site Editing(FSE) themes.
- Fixes: Resolved string translation issue.
- Fixes: Resolved print screen issues.
- Fixes: Addressed email image problems.
- Fixes: Corrected design issues with recipe suggestions.
- Fixes: Fixed word break issues for long words.
- Fixes: Solved the issue of empty elements in the ingredients and instructions section for single recipe.

1.6.4: 2024-06-26
- New Feature: Added Related Recipes feature.
- Enhancement: Added the option to select multiple best seasons for a recipe.
- Enhancement: Updated plugin cover on wordpress.org.
- Fixes: Corrected translation issue for best seasons.
- Fixes: Ingredient quantity field now only accepts numbers.
- Fixes: Resolved design issue with Post Navigation on Single Recipe page.
- Fixes: Fixed CSS conflicts with other plugins and themes.

1.6.3: 2024-06-10
- Enhancement: Renamed the plugin to align with updated guidelines for enhanced clarity.
- Enhancement: Updated plugin documentation to ensure accuracy and align with updated guidelines.
- Fixes: Resolved translation inconsistencies related to best season.

1.6.2: 2024-06-04
- New Feature: Shoppable Recipe button with Chicory Integration.
- Enhancement: Improved best season feature with custom seasons.
- Enhancement: Added instruction placement options.
- Enhancement: Expanded food icon selection for taxonomies.
- Enhancement: Added lightbox for recipe instructions.
- Enhancement: Improved input filtering for ingredient quantity.
- Fixes: Resolved CSS conflict with RankMath SEO plugin.
- Fixes: Fixed issues with user submitted food recipes.
- Fixes: Resolved duplication and scaling issues with food ingredients.
- Fixes: Updated settings and quick links.

1.6.1: 2024-05-13
- Enhancement: Moved reCAPTCHA settings to Miscellaneous tab.
- Fixes: Fixed ingredients suggestion issue.
- Fixes: Removed placeholder for ingredients.
- Fixes: Fixed bulk add modal text.

1.6.0: 2024-04-17
- New Feature: New Dashboard UI Interface.
- Refactor: Update the Plugin's Name in WordPress.org.
- Fixes: Fixed term filter for Recipes by Taxonomy block issue.
- Fixes: Fixed Cloudflare and Cookie issue.

1.5.10: 2024-04-04
- Fixes: Minor bug fixes.

1.5.9: 2024-04-03
- Compatibility Update for WP 6.5.
- Enhancement: Removed the feature to rate in decimal.
- Enhancement: Changes the save changes notice to bottom.
- Fixes: Fixed warning shown on Rich Results Test for recipe video.
- Fixes: Removed double slash from url.
- Fixes: Fixed multiple meta description when SEO plugin activated issue.
- Fixes: Fixed issue related to editor field for Terms and Conditions on the User Dashboard.
- Fixes: Fixed ingredients quantity issue.
- Fixes: Fixed issue related to time indicator on Recipe Card.
- Fixes: Added alt attribute for custom icons.
- Fixes: Fixed issue with adding multiple nutritional facts.

1.5.8: 2024-03-05
- Compatibility: Templates compatibility with popular themes.
- Enhancement: Add controls on all the blocks.

1.5.7: 2023-12-15
- Fixes: Undefined index when listing nutrition

1.5.6: 2023-11-10
- Compatibility Update for WP 6.4

1.5.5: 2023-10-17
- New Feature: New settings option added to display Recipe Last Updated Date.
- New Feature: Added Rank Math SEO content analyze feature to recipe post type meta box.
- Fixes: Fixed Search OR relation post type and post status.
- Fixes: Fixed Translation issues.
- Fixes: Fixing the gap with Related Recipes with Full width option enabled.
- Fixes: Added WEBP image support.
- Fixes: Other minor design fixes.

1.5.4: 2023-08-21
- New Feature:  Made the Recipe Description available for the print function.
- New Feature: Added new Nutrition Chart Layout option.
- New Feature: Added new recipe meta fields as Cooking Temp, Estimated Cost and Dietary (Taxonomy).
- New Feature: Added AND|OR search logic option and implemented accordingly. Also, implemented the results count feature.
- New Feature: Added Google reCAPTCHA option for user Registration form and Login Form.
- Fixes: Fixed issue related to linking recipe taxonomies on the Dynamic Recipe Card Block
- Fixes: Added a few missing strings from the translation list
- Fixes: Disabled Global Settings submit until recipe global settings are loaded or saved.
- Fixes: Removed sourceMappingURL indicator for CSS where .map file is not found.
- Fixes: Timestamp support added for embedding video. The video popup is also removed from the Instruction Section.
- Fixes: Recipe keys icons fix for the archive pages (list view).

1.5.3: 2023-07-04
- Fixes: Fixed minor styling issues.

1.5.2: 2023-04-28
- Fixes: Fixed compatibility issues with PHP 8.1.

1.5.1: 2023-03-30
- Fixes: Fixed javascripts strings translation issues.
- Fixes: Toast notification issue when recipe is saved.
- Fixes: Disabled Pinterest assets when not in use.
- Enhancement: Added option to disable percent values in nutrition table.
- Enhancement: Added support custom SVG icons.

1.5.0: 2023-03-14
- Fixes: Corrected nutrition units.
- Fixes: Removed mandatory rate of the recipe while replying to a comment.
- Fixes: Fixed issue with Gallery popup close button.
- Fixes: Removed unwanted CSS and fonts.
- Fixes: Fixed some translation-related issues.
- Fixes: Fixed issue with recipe card blocks.
- Fixes: Fixed issue with the Login form modal.
- Enhancement: Added paginations in the user's dashboard recipe listings.

1.4.9: 2023-01-09
- Enhancement: RTL compatibility is improved.
- Enhancement: Some of the part of recipe card is refined and removed unnecessary CSS.
- Fixes: Minor design refinement and bug fixes.

1.4.8: 2022-12-22
- New Feature: Added compatibility with Rating without comments feature.
- Enhancement: Improved Recipe card design
- Fixes: Minor design fixes and refinement

1.4.7: 2022-11-21
- New Feature: Added an option to adjust recipe servings based on scale and increment.
- Enhancement: Recipe ingredients quantity can now be displayed in fractions.
- Fixes: Minor design fixes and refinement.

1.4.6: 2022-11-09
- Fixes: Site health warning issue is fixed

1.4.5: 2022-11-03
- Fixes: Missing autoload file

1.4.4: 2022-11-02
- New Feature: Added an option to enable/disable default session system.
- New Feature: Search bar in Favorites Section.
- New Feature: Added an option to add missing nutritional elements.
- Enhancement: Feature to open the print preview in a new tab.
- Enhancement: Set review stars as 5 star ratings by default.
- Fixes: Like button in the floating bar not working is fixed.
- Fixes: Undefined index issue is fixed.
- Fixes: Search page pagination issue in homepage is fixed.
- Fixes: Fixed the JS error thrown in console and minor UI refinements.

1.4.3: 2022-08-26
- Fixes: Activation pages and role creation issue fixes.
- Fixes: Color Picker issue fixes.
- Fixes: Minor fixes.

1.4.2: 2022-07-07
- Fixes: DR Free loading priority changes for Pro activation.
- Fixes: Design issue fixes.
- Fixes: Minor fixes.

1.4.1: 2022-07-06
- Enhancement: Cookies filter priority changes.
- Fixes: Updated wrong argument count for update_option() in class-wp-session.
- Fixes: Search Page JS issue fixes.
- Fixes: Design issue fixes.
- Fixes: Minor fixes.

1.4.0: 2022-07-05
- Enhancement: Print Page scripts loading enchancement.
- Enhancement: Ingredients quantity increment decrement enhancements.
- Fixes: Design issue fixes.
- Fixes: Minor fixes.

1.3.9: 2022-05-17
- Fixes: Resolved blank Settings Page issue.
- Fixes: Resolved conflict with WPForms plugin.
- Fixes: Minor fixes.

1.3.8: 2022-05-11
- New Feature: Shortcode [dr_recipe_archives] support added for recipe listings with num_posts, carousel, layout, taxonomy, and terms parameters.
- New Feature: Archive Pagination: Supports numbered or infinite pagination for taxonomy and search pages.
- Enhancement: Admin menu splitted into two sections: Recipes and WP Delicious.
- Enhancement: Ingredients quantity decimal count rounded to 2 decimal places.
- Fixes: Ingredients quantity counter increment/decrement fix while print is disabled.
- Fixes: Videos not playing in Instructions section fix.
- Fixes: Minor bug fixes.

1.3.7: 2022-04-21
- Fixes: Videos not playing in lightGallery fix.
- Fixes: Minor bug fixes.

1.3.6: 2022-04-11
- New Feature: Recipe FAQs: Add FAQs for Recipe with FAQ schema support.
- New Feature: Recipe Badge: Assign a badge to a recipe with search compatibility.
- New Feature: Card Layouts: Two new card layouts added in Recipe Single and Recipe Card Block.
- New Feature: Recipe Count: Displays submitted recipes count and list per registered user in Users table.
- New Feature: Affiliate Link: Add affiliate link to your recipe.
- Enhancement: Filter added for Recipe Session and Cookies.
- Enhancement: Replace Magnific Popup with lightGallery.
- Enhancement: Posts per page enhancement in Handpicked Recipes Block.
- Fixes: 'Recipe Card not found' issue resolved in Recipe Card Block.
- Fixes: Profile Image upload issue fixes.
- Fixes: Responsive design issue fixes.
- Fixes: Minor bug fixes.

1.3.5: 2022-03-15
- Enhancement: Security issue fixes.
- Enhancement: Turkish translations added in the plugin.
- Enhancement: Color Picker enhancement.
- Fixes: Equipment shortcode copy button issue fixes.
- Fixes: String translation support added for placeholder texts.
- Fixes: Minor bug fixes.

1.3.4: 2021-12-24
- Enhancement: Description metadata enhancements.
- Enhancement: Calories added for nutrition metadata.
- Fixes: Minor bug fixes.

1.3.3: 2021-11-25
- Enhancement: Improved the UX for User Dashboard Menu in mobile devices.
- Enhancement: Improved the display of Review in the meta.
- Fixes: Conflict resolved with WooCommerce Review plugin.
- Fixes: Fixed the Dynamic Recipe Card Block issue.
- Fixes: Minor bug fixes.

1.3.2: 2021-08-31
- New Feature: Recipe keys and Recipe tags filter added for Recipe Search.
- Enhancement: Ingredient and Instruction section sorting enhancements.
- Fixes: Enable/Disable FontAwesome Icons JS configurations added.
- Fixes: Minor bug fixes.

1.3.1: 2021-08-23
- Fixes: Compatibility fixes for WP Delicious Pro.
- Fixes: Minor bug fixes.

1.3.0: 2021-08-23
- Fixes: Compatibility update for new features.
- Fixes: Minor bug fixes.

1.2.4: 2021-08-09
- Fixes: Permalink settings update issue resolved.
- Fixes: H1 tags changed to H2 on registration forms for SEO purposes.
- Fixes: Vimeo thumbnail and video play issue resolved.
- Fixes: Minor bug fixes.

1.2.3: 2021-07-28
- Enhancement: WordPress 5.8 compatibility updates.
- Enhancement: Deprecated filter and unsupported attributes resolved.
- Fixes: Sidebar missing in Search page resolved.
- Fixes: Recipe search overriding posts search resolved.
- Fixes: User Dashboard form displayed on print page fixed.
- Fixes: rel nofollow noopener added for social links.
- Fixes: Minor bug fixes.

1.2.2: 2021-06-03
- Enhancement: Search Recipe simple factor filters enhancements.
- Enhancement: Instructions and Ingredients section titles added on Print screen.
- Fixes: Handpicked Recipes block initial load and draft recipe issue resolved.
- Fixes: Smooth scroll conflict with Woocommerce resolved.
- Fixes: Minor bug fixes.

1.2.1: 2021-05-27
- Enhancement: Updated Wishlists to Favorites.
- Enhancement: Email header image enhancements.
- Fixes: Authenticated arbitrary file upload vulnerability fixes.
- Fixes: Recipe Print page JS library optimizations.
- Fixes: Escaping and sanitizing data.
- Fixes: Minor bug fixes.

1.2.0: 2021-05-24
- New Feature: User Dashboard: Add a user dashboard to your website, where users can sign up, browse recipes, add to their favorites.
- New Feature: Favorites: Create a personalized list with your favorite recipes.
- New Feature: Email Templates: Customizable email templates for new user created and reset password.
- Enhancement: Enable/disable Pinit Button settings added.
- Fixes: Reordering description and ingredients position in the Print page template.
- Fixes: Minor bug fixes.

1.1.8: 2021-04-19
- Enhancement: Print page excluded from Google Search, 'noindex' meta tag added.
- Enhancement: WP Rocket and Avada Lazy load disabled on Print page.
- Enhancement: Search form modification for multilangual search compatibility.
- Enhancement: SEO Meta description support added for single recipe pages.
- Fixes: Intl extension check added, to resolve fatal error on Recipe archive page.
- Fixes: Minor bug fixes.

1.1.7: 2021-04-06
- New Feature: Settings added: Enable/Disable Recipe Featured Image.
- New Feature: Settings added: Enable/Disable automatic cropping of featured image in recipe single, archive and search pages.
- Enhancement: Sorting words with Accents.
- Enhancement: WPML config file updated.
- Fixes: Time calculation in Dynamic Recipe card and Recipe Details block fixed.
- Fixes: Minor bug fixes.

1.1.6: 2021-03-16
- Enhancement: Text edit support added on Text editor mode.
- Enhancement: Recipe Tag permalink support added.
- Enhancement: "Recipes by Ingredient" search enhancement.
- Enhancement: Freemius 2.4.2 updated.
- Enhancement: WPML config file updated with missing strings.
- Fixes: Conflict resolved with Elementor.
- Fixes: jQuery deprication issue fixes.
- Fixes: Recipe design issue fixes.
- Fixes: Minor bug fixes.

1.1.5: 2021-03-08
- Enhancement: WordPress 5.7 compatibility testing.
- Fixes: Minor bug fixes.

1.1.4: 2021-03-08
- New Feature: Recipe Onboarding Wizard for first time installation.
- New Feature: What's New page with helpful links added to Admin Menu.
- Enhancement: WordPress 5.7 compatibility testing.
- Fixes: Minor bug fixes.

1.1.3: 2021-02-25
- Fixes: WPML config file added.
- Fixes: Recipes by Taxonomy block issue fixes.
- Fixes: Small size custom icons upload issue fixes.
- Fixes: Video embeds and shortcode support added for Instructions and Description.
- Fixes: Minor bug fixes.

1.1.2: 2021-02-12
- New Feature: Custom Icons: A feature to upload custom icons for Taxonomies.
- New Feature: Custom Units: A feature to add custom quantity units for ingredients.
- New Feature: Mark as complete: A feature to mark your instruction steps as complete.
- Enhancement: WPML compatibility support added.
- Fixes: Classic Editor collapsible issue fixes.
- Fixes: Decimal support added for nutrition fields
- Fixes: Design issue fixes.
- Fixes: Minor bug fixes.

1.1.1: 2021-02-03
- Fixes: Nutrition Facts Schema enhancements.
- Fixes: Translation enhancements.
- Fixes: Ingredient measurement units translation fixes for Pinterest Card.
- Fixes: Minor bug fixes.

1.1.0: 2021-01-26
- New Feature: Gutenberg Blocks: Recipe Nutrition and Recipe Buttons blocks added.
- Fixes: Minor bug fixes.

1.0.9: 2021-01-12
- Fixes: Typo fixes and string updates.
- Fixes: Minor design fixes.

1.0.8: 2021-01-11
- New Feature: Gutenberg Blocks: Dynamic Recipe Card, Recipe Ingredients, Recipe Instructions and Recipe Details blocks added.
- New Feature: Structured Data support added for Dynamic Recipe Card block.
- New Feature: Print Recipe support added for Dynamic Recipe Card block.
- Enhancement: SVG and Design enhancements.
- Enhancement: Compatibility added for WordPress 5.6 and PHP 8.
- Fixes: Widgets and translation enhancements.
- Fixes: Minor bug fixes.

1.0.7: 2020-12-15
- Fixes: Recipes by Taxonomy block enhancement.
- Fixes: Minor bug fixes.

1.0.6: 2020-12-04
- New Feature: 'Surprise Me' shortcode and nav menu link added.
- Enhancement: Freemius integration added.
- Enhancement: MAC responsive design enhancement.
- Fixes: Minor bug fixes.

1.0.5: 2020-11-24
- Enhancement: Translation support for best season and difficulty level strings.
- Fixes: Resolved issue with Classic Editor.
- Fixes: Minor bug fixes.
- Fixes: Minor responsive design fixes.

1.0.4: 2020-10-23
- New Feature: Recipes Import: WP Recipe Maker support added.
- Enhancement: Translation support for admin JS strings.
- Enhancement: Added new Recipe Editor user role.
- Fixes: Minor design fixes.

1.0.3: 2020-10-16
- New Feature: Gutenberg Blocks: Recipe Card block added.
- Enhancement: Admin strings translation support added.
- Enhancement: Added support for popup gallery even when recipe featured image is not set.
- Fixes: Nutrition Facts display issue resolved.
- Fixes: Minor design fixes.

1.0.2: 2020-10-14
- Enhancement: Compatibility added for Blossom Recipe, Blossom Recipe Pro theme.
- Fixes: Typography fixes for plugin supported pages.
- Fixes: Private recipe view issue resolved.
- Fixes: Minor design fixes.

1.0.1: 2020-10-13
- New Feature: Recipes Import: Blossom Recipe Maker support added.
- New Feature: Gutenberg Blocks: Handpicked Recipes and Recipes by Taxonomy added.
- Fixes: Draft recipe preview issue resolved.
- Fixes: Minor design fixes.

1.0.0: 2020-10-02
- Initial Release.
